Aller au contenu principal
Sujet: Leap 15.3 arrive bientôt... Elle est sortie maintenant ! (Lu 2989 fois) sujet précédent - sujet suivant

Re : Leap 15.3 arrive bientôt

Répondre #105
Oui sans doute, on ne sait pas encore ;)

Re : Leap 15.3 arrive bientôt

Répondre #106
Leap 15.3 arrive et Leap 15.3 est arrivée.

@chalu : J'ai prêté le flanc et c'est noté pour le Wiki  ;) Ceci dit je découvre encore la distribution, je ne parle pas anglais (jamais appris, même très jeune en sixième... oui je sais c'est étrange), et je ne crois pas qu'il faille se lancer tête baissée dans le Wiki sans en connaître ni comprendre le code et les conventions. Mais j'aimerais bien collaborer, c'est vrai, à quelque niveau que ce fût, si je me fixais sur cette distribution qui me plaît. Une adhésion à l'association déjà? C'est dans les projets mais on verra, encore que je me demande à quoi je puisse être utile.

Leap 15.3 est donc arrivée et j'y ai moi même accédé sur mon portable de test avant l'heure en passant par la RC.Un jeu d'enfant que je m'attendais à revivre allègrement, en direct et à l'identique sur ma tour en suivant les nouvelles prescriptions à priori plus simples. On actualise les référentiels et on lance la mise à niveau sur ceux-ci, pas davantage (à partir d'une console virtuelle pour bien faire les choses et surtout afin de se libérer de l'interface graphique qui pourrait poser problème).

Surprise  ??? Une quarantaine de problèmes m'est signifiée. Je vais de l'avant encore serein car je n'ai que trois ou quatre dépôts non-officiels préalablement désactivés.

Les questions s'enchaînent : Voulez-vous faire ceci ou bien cela? Au début c'est simple.

Puis ça se complique... les alternatives passent de une à deux par moment. Je poursuis confiant mais j'ai un paquet glibc qui fiche le bazar je pense (l'une de mes raisons d'un dépôt tiers pour obtenir une version plus fraîche de glibc dont j'avais besoin).

Il est très vite question de virer des paquets systemd avec des alternatives guère plus réjouissantes puis vient le tour de NetworkManager sur le même ton.

Stop! j'annule la mise à niveau. C'est mal engagé.

Que faire? Ma configuration de base, celle que j'envoie se mettre à niveau, ne va pas globalement changer demain et si je diffère de deux mois cette mise à niveau il est probable que je rencontre les mêmes soucis.

Mais pourquoi donc la mise à niveau vers Leap 15.3 RC s'était-elle bien déroulée sur mon portable de test dont le système était quasiment identique à ma tour?

Je fais le pari de reprendre la même commande que pour la 15.3 RC :

sudo zypper --releasever=15.3 dup --allow-vendor-change

Et puis zypper dup après le redémarrage et ça passe... crème, comme disent les jeunes apprentis pâtissiers et les autres  :))

Maintenant j'ai pris 6 Go d'embonpoint sur ma partition racine. Ça se nettoie?

Autre chose, je confirme à mon niveau la résolution du bug SDDM (X11- Plasma).

Par contre Discover me paraît être toujours à la ramasse (pas de connexion internet signalée alors qu'elle est effective) et j'ai désactivé son applet de mise à jour en attendant car elle ne fonctionne pas mieux (logique).

Re : Leap 15.3 arrive bientôt

Répondre #107
Hello,

En effet, je trouve vraiment dommage de voir Discover être aussi à la ramasse, d'autant que quand on veut désinstaller un programme, c'est lui qui veut s'ouvrir .... et crash.

Il n'y a pas que ce souci, le gestionnaire de mise à jour ne se connecte pas automatiquement, il faut à chaque fois cliquer sur le bouton "Vérifier la mise à jour".

Idem pour Thunderbird, qui me dis ne pas trouver le serveur, obliger de le redémarrer pour qu'il le trouve.

Je rencontre d'autres petits soucis mineur, que je résout facilement, et puis, les recherches sur le forum m'aide pas mal.

J'aime bien Susy, c'est ma toute première distro qui m'avait permis d'apprivoiser Linux en 2004, mais en ce temps là, elle était mieux ""finie"" que maintenant, ou j'ai un peu l'impression de voir un peu du bric à brac.

Re : Leap 15.3 arrive bientôt

Répondre #108
@Chumi‍ : je taquinais ;) mais c’est clair que la communauté francophone a besoin de bras si elle veut avoir une documentation dans langue et actualisée :) . Je ne parle pas super bien non plus, à l’écrit c’est mieux qu’à l’oral 😂
Tu pourras déjà participer à la relecture, correction.
J’ai mis à jour system upgrade sur la version anglaise. Il reste Nvidia et Amd, ce n’est pas évident car je n’ai aucune des deux et pas d'expérience avec. Donc toute contribution et retours d’expérience est interessant.
Tu peux savoir quelle était ta version glibc à l’issue de ton upgrade et le dépôt qui le fournit ?

Re : Leap 15.3 arrive bientôt... Elle est sortie maintenant !

Répondre #109
Tu peux savoir quelle était ta version glibc à l’issue de ton upgrade et le dépôt qui le fournit ?

Bonjour,

Ma glibc actuelle (2.31) est fournie par SUSE LLC. C'est conforme.

Par contre mon ancienne glibc sur Leap 15.2 était la 2.27 fournie par un dépôt tiers. L'officielle était la 2.26. Je me demande si je n'aurais pas du rétrograder vers l'officielle avant de faire l'upgrade et je me demande si ce n'est pas ça qui m'a posé problème lors de ma première tentative de passer à Leap 15.3. Glibc n'est pas un paquet anodin.

En marge : Oui, participer à la relecture et à la correction est une idée à laquelle je pensais (à voir car en ce moment j'ai beaucoup de marrons sur le feu dans mon quotidien). Par contre, au rayon Nvidia et Amd, je suis autant dépourvu d'expérience que toi (ou alors très vieille avec Nvidia).

Re : Leap 15.3 arrive bientôt... Elle est sortie maintenant !

Répondre #110
(...)
Problem: nothing provides libx265.so.192 needed by libavcodec58-4.2.1-pm153.3.1.i586
Ça parle de l’architecture i586.
il faudrait avoir le retour de
zypper search -s libavcodec58*
pour voir ce qui est installé  et disponible .
(...)
@chalu

Merci pour la suggestion Chalu, voici le retour de la commande.
Bizarre c'est pourtant la version 64bits qui est installé sur ma machine..

Citer
S | Name                         | Type    | Version           | Arch   | Repository
--+------------------------------+---------+-------------------+--------+--------------------------
i | libavcodec58                 | package | 4.2.1-pm152.2.9.3 | x86_64 | Packman Repository
v | libavcodec58                 | package | 4.2.1-lp152.2.6.1 | x86_64 | openSUSE-Leap-15.2-Update
v | libavcodec58                 | package | 4.2.1-lp152.2.3.1 | x86_64 | openSUSE-Leap-15.2-Update
v | libavcodec58                 | package | 4.2.1-lp152.1.4   | x86_64 | openSUSE-Leap-15.2-Oss
v | libavcodec58                 | package | 4.2.1-pm152.2.6.1 | i586   | Packman Repository
v | libavcodec58                 | package | 4.2.1-lp152.2.3.1 | i586   | openSUSE-Leap-15.2-Update
  | libavcodec58-32bit           | package | 4.2.1-pm152.2.6.1 | x86_64 | Packman Repository
  | libavcodec58-32bit           | package | 4.2.1-lp152.2.3.1 | x86_64 | openSUSE-Leap-15.2-Update
  | libavcodec58-32bit           | package | 4.2.1-lp152.1.4   | x86_64 | openSUSE-Leap-15.2-Oss
  | libavcodec58-32bit-debuginfo | package | 4.2.1-pm152.2.6.1 | x86_64 | Packman Repository
  | libavcodec58-debuginfo       | package | 4.2.1-pm152.2.9.3 | x86_64 | Packman Repository
  | libavcodec58-debuginfo       | package | 4.2.1-pm152.2.6.1 | i586   | Packman Repository

Re : Leap 15.3 arrive bientôt... Elle est sortie maintenant !

Répondre #111
Pour info, j'ai relancé la mise à jour vers 15.3 aujourd'hui et le message a disparu (en vérifiant dans les paquets supprimés je retrouve libavcodec58).
La mise à jour a bien fonctionné  8)

Re : Leap 15.3 arrive bientôt... Elle est sortie maintenant !

Répondre #112
Pour info, j'ai relancé la mise à jour vers 15.3 aujourd'hui et le message a disparu (en vérifiant dans les paquets supprimés je retrouve libavcodec58).
La mise à jour a bien fonctionné  8)
Super 👍
Je pense qu'en arrière-plan, les développeurs s'activent tous azimut pour régler les soucis ;)

 

Re : Leap 15.3 arrive bientôt... Elle est sortie maintenant !

Répondre #113
Bonjour,

Mise à niveau de Leap Xfce hier soir, je résume :

Avant de me lancer, j'ai rétrogradé le paquet glibc qui provenait d'un dépôt tiers, vers la version officielle de Leap 15.2.

Voir pourquoi ici : https://www.alionet.org/index.php?topic=941.msg7916#msg7916

Quelques questions sur le changement de fournisseur de paquets initialement fournis par Packman, et c'est passé (mise à niveau effective).

Bilan très provisoire  :

- LighDM greeter qui permet de configurer l'écran de connexion LightDM ne se lance toujours pas (il me semble bien que le problème était déjà présent sur Leap 15.2);

- Le verrouillage de l'écran est sans issue, on ne peut pas se reconnecter (écran noir);

- Le bluetooth ne fonctionne pas mais il y a peut-être une solution que je ne n'ai pas encore eu le temps de vérifier. Voir cette discussion  : https://www.alionet.org/index.php?topic=870.msg6896#msg6896

Edit : Je parviens à faire fonctionner le bluetooth (pour appairer mon smartphone) avec les mêmes contraintes signalées dans la discussion mentionnée ci-dessus. Une fois qu'on tient la liaison, il ne faut pas se déconnecter avec l'applet avant d'éteindre ou de redémarrer son ordi. Bref, comme avec Leap 15.2 Xfce, pour moi ça fonctionne, mais ce n'est toujours pas optimal et il faut toujours jouer au besoin avec la commande :

rfkill unblock bluetooth

Juste pour info pour ceux qui sont sur Xfce.

Re : Leap 15.3 arrive bientôt... Elle est sortie maintenant !

Répondre #114
Je viens de mettre à niveau vers Leap 15.3.

J'ai administré mes dépôts pour n'avoir que les 6 nécessaires (oss, non-oss, update-oss, update-non-oss, backport et sle). J'ai fait cela directement dans /etc/zypp/repos.d/ . Pourquoi ? Car en ajoutant un nouveau dépôt via yast, je ne pouvais pas utiliser la variable $releasever dans l'URL. J'aurais pu écrire directement 15.3 dans l'URL via Yast, mais je préfère $releasever…

Je me suis assuré que tous mes dépôts actifs étaient bien les 6 en question avec comme version 15.3, comme ceci:
sudo zypper --releasever=15.3 lr -u
Tout était OK !

J'ai mis à jour les 'repository metadata' (je ne sais pas comment traduire), comme ceci:
sudo zypper --releasever=15.3 ref

Puis j'ai lancé la mise à niveau, comme ceci:
sudo zypper --releasever=15.3 dup --allows-change-vendor

J'ai eu des petits soucis à régler, des dépendances  avec samba et des libs samba. -> Après une demi-heure de tâtonnement j'ai viré samba (et vlc en plus -> mais je crois que ça avit plus avoir avec samba que vlc)

Ensuite, j'ai relancé la dernière commande.
--- la mise à jour à commencé sans problème ---

redémarrage:
sudo zypper reboot

Au redémarrage,  samba était de nouveau installé ainsi que vlc.

Tout fonctionne, RAS  ;)

Sources (d'inspiration):
https://doc.opensuse.org/documentation/leap/startup/html/book-startup/cha-update-osuse.html
ainsi que les fichiers de configuration des dépôts de ma machine virtuelle Leap 15.3 (elle était disponible, elle m'a aidé pour voir comment était les fichiers dans /etc/zypp/repos.d/ …)

PS: j'ai une vielle ATI dans cette machine (j'y tiens, c'est une ATI !!! )

PS2: J'ai un petit problème de codecs à régler.
PS3: J'avais oublié de rendre le dépôt Packman prioritaire, plus de soucis de vidéos.

Re : Leap 15.3 arrive bientôt... Elle est sortie maintenant !

Répondre #115
Upgrade de mon pc fixe leap 15.2 vers 15.3 depuis le dvd ==> ras.
Comme prévu il enlève les dépôts, il faut donc accepter les changement de dépôt de pacman vers Suse/opensuse, puis on rajoute à nouveau pacman et voilà.

Ras tout fonctionne parfaitement de mon côté.

Re : Leap 15.3 arrive bientôt... Elle est sortie maintenant !

Répondre #116
Bonjour,

il semble toujours y avoir un gros défaut pour opensuse.
Opensuse 15.3 n'est toujours pas dispo dans opensuse Software search.
https://software.opensuse.org

Vous savez pourquoi?

Re : Leap 15.3 arrive bientôt... Elle est sortie maintenant !

Répondre #117
tu n'as pas l'onglet téléchargements sur la page https://software.opensuse.org/ ?
moi,oui

Re : Leap 15.3 arrive bientôt... Elle est sortie maintenant !

Répondre #118
Je ne parle pas de télécharger l'iso.
Je parle de chercher des repos pour installer des paquets.
Exemple si tu cherches x2go
https://software.opensuse.org/package/x2goclient
Tu ne vois aucun repos pour Opensuse leap 15.3

Alors que si tu rentres dans un repository d'un user:
https://build.opensuse.org/package/show/home%3Aecsos%3Abranches%3AX11%3ARemoteDesktop%3Ax2go/x2goclient
Tu peux voir qu'il est bien build pour la 15.3  cf https://build.opensuse.org/package/binaries/home:ecsos:branches:X11:RemoteDesktop:x2go/x2goclient/openSUSE_Leap_15.3
Si tu rajoutes le repo à la main tu as bien accès à ce build.

Mais openSuse software search ne référence aucun paquet 15.3

Re : Leap 15.3 arrive bientôt... Elle est sortie maintenant !

Répondre #119
en effet je n'avais pas remarqué; par contre pour certains paquets, on a opensuse Backports for SLE 15 sp3; je ne sais pas si ça peut aller?